add_recovery
Code
add_recovery › Request Body
api_keyAPI key for authentication
The recovery object ClaimExposureRecoveryModel
add_recovery › Responses
successadd_recovery_reserve
Code
add_recovery_reserve › Request Body
api_keyAPI key for authentication
The recovery reserve object ClaimExposureRecoveryReserveModel
add_recovery_reserve › Responses
successcreate_exposures
Code
create_exposures › Request Body
List of exposure objects to create
api_keyAPI key for authentication
create_exposures › Responses
successList of created exposure objects
get_accounting_loss_details
Code
get_accounting_loss_details › Request Body
api_keyAPI key for authentication
claim_idID of the claim for which to retrieve loss details data
pagePage number for paginated exposures (default: 1)
page_sizeNumber of exposures per page (default: 100)
get_accounting_loss_details › Responses
successWhether the request was successful
get_accounting_overview
Code
get_accounting_overview › Request Body
api_keyAPI key for authentication
claim_idID of the claim for which to retrieve accounting overview data
pagePage number for paginated exposures (default: 1)
page_sizeNumber of exposures per page (default: 100)
get_accounting_overview › Responses
successWhether the request was successful
get_accounting_recoveries_data
Code
get_accounting_recoveries_data › Request Body
api_keyAPI key for authentication
claim_idID of the claim for which to retrieve recoveries data
pagePage number for paginated exposures (default: 1)
page_sizeNumber of exposures per page (default: 100)
get_accounting_recoveries_data › Responses
total_recordsTotal number of exposures for pagination.
get_exposure_edit_status
Code
get_exposure_edit_status › Request Body
exposure_idID of the exposure
api_keyAPI key for authentication
get_exposure_edit_status › Responses
successget_exposure_transactions
Code
get_exposure_transactions › Request Body
exposure_idThe ID of the exposure for which to retrieve transactions data
transaction_typesFilter by transaction type(s). If not provided, all types are returned.
categoriesFilter by transaction category(ies). If not provided, all categories are returned.
statusesFilter by transaction status(es). Currently supports 'voided' to show only voided transactions.
payment_methodsFilter by payment method(s). Only applies to payment transactions.
date_fromFilter transactions on or after this date (YYYY-MM-DD format)
date_toFilter transactions on or before this date (YYYY-MM-DD format)
sort_byField to sort results by (default: transaction_datetime)
sort_orderSort order: ascending or descending (default: desc)
get_exposure_transactions › Responses
List of accounting transactions for the exposure
successIndicates if the request was successful
get_payment
Code
get_payment › Request Body
payment_idThe unique identifier of the payment (claim transaction id)
get_payment › Responses
The payment object ClaimExposurePaymentModel
successget_payment_return_summary
Code
get_payment_return_summary › Request Body
payment_idClaim transaction id of the payment
exposure_idExposure (claim item) the payment paid
api_keyAPI key for authentication
get_payment_return_summary › Responses
What a payment paid one exposure, what has come back from it and what can still be returned
successIndicates if the request was successful
get_return_payment_void_summary
Code
get_return_payment_void_summary › Request Body
transaction_idClaim transaction id of the return payment
api_keyAPI key for authentication
get_return_payment_void_summary › Responses
A return payment, the payment it is linked to, and what voiding it would do to paid and the reserve
successIndicates if the request was successful
get_returnable_payments
Code
get_returnable_payments › Request Body
exposure_idExposure (claim item) to list the returnable payments of
api_keyAPI key for authentication
get_returnable_payments › Responses
successIndicates if the request was successful
record_return_payment
Code
record_return_payment › Request Body
The return payment, ClaimExposureReturnPaymentModel
api_keyAPI key for authentication
record_return_payment › Responses
What a payment paid one exposure, what has come back from it and what can still be returned
successIndicates if the request was successful
update_exposure
Code
update_exposure › Request Body
Exposure update fields
api_keyAPI key for authentication
update_exposure › Responses
successUpdated exposure object
update_payment
Code
update_payment › Request Body
The payment object ClaimExposurePaymentModel
update_payment › Responses
The payment object ClaimExposurePaymentModel or null if authority limits broken
successbrokenLimitsList of broken authority limits if any
adminDataAdmin data for authority limit override if any
void_return_payment
Code
void_return_payment › Request Body
The void, ClaimExposureReturnPaymentVoidModel
api_keyAPI key for authentication
void_return_payment › Responses
A return payment, the payment it is linked to, and what voiding it would do to paid and the reserve
successIndicates if the request was successful
